Name:           tcmu-runner
License:        ASL 2.0
Group:          System Environment/Daemons
Summary:        A daemon that supports LIO userspace backends
Version:        0.9.0
Release:        1%{?dist}
URL:            https://github.com/agrover/tcmu-runner
Source:         https://fedorahosted.org/released/tcmu-runner/%{name}-%{version}.tar.gz
BuildRequires:  cmake glib2-devel libnl3-devel glusterfs-api-devel kmod-devel
Requires:       targetcli


%description
A daemon that handles the complexity of the LIO kernel target's userspace
passthrough interface (TCMU). It presents a C plugin API for extension modules
that handle SCSI requests in ways not possible or suitable to be handled
by LIO's in-kernel backstores.

%prep
%setup -q

%build
%cmake .
make %{?_smp_mflags}

%install
%{__install} -d %{buildroot}%{_libdir}/tcmu-runner
%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_sysconfdir}/dbus-1/system.d
%{__install} -d %{buildroot}%{_datarootdir}/dbus-1/system-services
%{__install} -d %{buildroot}%{_unitdir}
%{__install} -p *.so %{buildroot}%{_libdir}/tcmu-runner
%{__install} -p tcmu-runner %{buildroot}%{_bindir}/tcmu-runner
%{__install} -p tcmu-runner.conf %{buildroot}%{_sysconfdir}/dbus-1/system.d
%{__install} -p org.kernel.TCMUService1.service %{buildroot}%{_datarootdir}/dbus-1/system-services
%{__install} -p tcmu-runner.service %{buildroot}%{_unitdir}/tcmu-runner.service

%files
%{_bindir}/tcmu-runner
%dir %{_libdir}/tcmu-runner
%{_libdir}/tcmu-runner/*
%config %{_sysconfdir}/dbus-1/system.d/tcmu-runner.conf
%{_datarootdir}/dbus-1/system-services/org.kernel.TCMUService1.service
%{_unitdir}/tcmu-runner.service
%doc LICENSE README.md

%changelog
* Mon Sep 28 2015 Andy Grover <agrover@redhat.com> - 0.9.0-1
- Initial Fedora packaging
